---
name: Bug Report
about: Found a bug? Help us squash it.
title: ''
labels: bug
assignees: ''

---

While we'd love to be able to support every person on their projects, that would simply be infeasible. Luckily, that's what the helpful developer community over at Stack Overflow is for! Please [create a question there with the "pyngrok" tag](https://stackoverflow.com/questions/ask?tags=python+pyngrok+ngrok) if what you're looking for is a programming question or you need help with an integration. You can refer to [`pyngrok's` own documentation](https://pyngrok.readthedocs.io/en/latest/) to help you write the best possible question.

**Describe the Bug**
A clear and concise description of what the bug is, including exceptions thrown.

Be sure you have checked out [the "Troubleshooting" page of the documentation](https://pyngrok.readthedocs.io/en/latest/troubleshooting.html), especially the sections about log inspection. Include the logs here after debugging.

**Steps to Reproduce**
A snippet of the code used to reproduce the behavior.

If applicable, give the correlated `ngrok` command that _does_ work so we can compare it with what's not working. Also include your config file if it has been changed from the default (be sure to redact your auth token, if present).

**Expected Behavior**
A brief description of what you expected to happen.

**Environment**
- OS: [e.g. OS X 10.14.5]
- Python Version: [e.g. 3.7.2]
- `pyngrok` Version: [e.g. 1.3.4]

**Additional Context**
Add any other context about the problem here.
